=== debian/changelog ===
microprofile (3.1+ds-2) unstable; urgency=medium

  * d/patches: link with libatomic when needed
  * d/tests: add autopkgtests

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sat, 19 Feb 2022 13:53:56 +0100

microprofile (3.1+ds-1) unstable; urgency=low

  * Initial release. Closes: #1001319

 -- Andrea Pappacoda <andrea@pappacoda.it>  Wed, 08 Dec 2021 13:40:15 +0100
