=== debian/control ===
Source: microprofile
Section: libs
Priority: optional
Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
Build-Depends: debhelper-compat (= 13),
               meson
Standards-Version: 4.6.0
Homepage: https://github.com/jonasmr/microprofile
Vcs-Git: https://salsa.debian.org/debian/microprofile.git
Vcs-Browser: https://salsa.debian.org/debian/microprofile
Rules-Requires-Root: no

Package: libmicroprofile3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: embeddable CPU/GPU profiler
 Microprofile is an embeddable CPU/GPU profiler with an in-app and HTML
 visualizers, written in C++.
 .
 This package contains the shared library.

Package: libmicroprofile-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmicroprofile3 (= ${binary:Version}), ${misc:Depends}
Description: embeddable CPU/GPU profiler - development
 Microprofile is an embeddable CPU/GPU profiler with an in-app and HTML
 visualizers, written in C++.
 .
 This package contains the development files.
