=== meson_options.txt ===
option('microprofile_use_config', type: 'boolean', value: false, description: 'Use custom microprofile.config.h')
