=== demo/dynamic_instrument/Makefile ===
--- 
+++ 
@@ -16,12 +16,12 @@
 
 
 CPPFLAGS=$(CFLAGS)
-CPPFLAGS+=-stdlib=libc++ -std=c++11
+CPPFLAGS+=-std=c++14
 
 
 CPP_SOURCES = demo_dynamic_instrument.cpp ../../microprofile.cpp
-C_SOURCES = 
-ASM_SOURCES = 
+C_SOURCES =
+ASM_SOURCES =
 
 
 # Remember to update submodule and compile distorm
@@ -51,7 +51,7 @@
 .s.o:
 	$(CC) -c $< -o $@
 
-.cpp.o: 
+.cpp.o:
 	$(CPP) -c $< $(CPPFLAGS) -o $@
 
 .c.o:
@@ -69,5 +69,5 @@
 
 embed: embed_target all
 
-	
 
+
