=== demo/noframes/Makefile ===
--- 
+++ 
@@ -5,16 +5,18 @@
 FLAGS+=-g -O0 -Wno-invalid-offsetof -Wall -Werror
 #FLAGS+=-DMICROPROFILE_ENABLED=0
 
-CPPFLAGS= $(FLAGS) -std=c++11
-CFLAGS = $(FLAGS) -std=c99 
+CPPFLAGS= $(FLAGS) -std=c++14
+CFLAGS = $(FLAGS) -std=c99
+
+CPPFLAGS+=-Wno-unused-variable
 
 
 CPP_SOURCES = fakework.cpp noframes.cpp ../../microprofile.cpp
-C_SOURCES = 
+C_SOURCES =
 
 TARGET=noframes
-CC ?= clang
-CXX ?= clang++
+CC = clang
+CXX = clang++
 LD = $(CXX)
 
 CPP_OBJS = $(patsubst %.cpp,%.o,$(CPP_SOURCES))
@@ -27,7 +29,7 @@
 
 -include .depend
 
-.cpp.o: 
+.cpp.o:
 	$(CXX) -c $< $(CPPFLAGS) -o $@
 
 .c.o:
@@ -44,5 +46,5 @@
 	cd ../../src && make
 
 embed: embed_target all
-	
 
+
