=== demo/workbench/Makefile ===
--- 
+++ 
@@ -12,17 +12,25 @@
 #FLAGS+=-DMICROPROFILE_ENABLED=0
 FLAGS+=-DMICROPROFILE_DYNAMIC_INSTRUMENT_ENABLE
 FLAGS+= -I../../distorm/include
+FLAGS+=-Wno-unused-function
+#FLAGS+=-Wno-misleading-indentation 
+
+
+
+FLAGS+=-Wno-unused-variable
+
 
 
 
 CPPFLAGS= $(FLAGS) -std=c++11 -Wno-invalid-offsetof
-CFLAGS = $(FLAGS) -std=c99 
+
+CFLAGS = $(FLAGS) -std=c99
 
 
 
 CPP_SOURCES = fakework.cpp demo_workbench.cpp ../../microprofile.cpp
 C_SOURCES = test.c
-ASM_SOURCES = 
+ASM_SOURCES =
 
 
 #comment in the following lines to enable function instrumentation.
@@ -32,8 +40,8 @@
 ASM_SOURCES+=../../patch_osx.s
 
 TARGET=demo_workbench
-CC ?= clang
-CXX ?= clang++
+CC = clang
+CXX = clang++
 LD = $(CXX)
 
 ASM_OBJS = $(patsubst %.s,%.o,$(ASM_SOURCES))
@@ -53,7 +61,7 @@
 .s.o:
 	clang -c $< -o $@
 
-.cpp.o: 
+.cpp.o:
 	$(CXX) -c $< $(CPPFLAGS) -o $@
 
 .c.o:
@@ -71,5 +79,5 @@
 
 embed: embed_target all
 
-	
 
+
