=== debian/changelog ===
microprofile (4.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * d/patches: fix blhc Salsa job

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 06 Nov 2022 22:07:50 +0100

microprofile (4.0+dfsg-1) experimental; urgency=medium

  [ Andrea Pappacoda ]
  * New upstream version 4.0+dfsg
  * d/control: libmicroprofile3 -> libmicroprofile4
  * d/copyright: exclude non-free JavaScript code
  * d/copyright: also mention the Unlicense license.
    Upstream originally used the Unlicense, but later relicensed under the
    MIT license. Between the 3.1 and 4.0 releases, though, a third party
    contributor submitted a patch adding a new LICENSE file including the
    Unlicense, and the patch was merged. It is now unclear which portions
    are licensed under the MIT and which ones under the Unlicense (if any),
    so I've marked all the code as licensed under both. It shouldn't matter
    anyway, as the Unlicense is a public domain-equivalent license.
  * d/patches: drop and refresh patches
  * d/patches: replace non-free JavaScript code (Closes: #1023178)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 03 Nov 2022 21:54:56 +0100
