=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: microprofile
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
-Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: cmark <!nodoc>,
-                    libstb-dev,
-                    meson,
-                    pkg-config
-Standards-Version: 4.6.2
+Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
+Build-Depends: debhelper-compat (= 13),
+               libstb-dev,
+               meson,
+               pkg-config
+Standards-Version: 4.6.1
 Homepage: https://github.com/jonasmr/microprofile
 Vcs-Git: https://salsa.debian.org/debian/microprofile.git
 Vcs-Browser: https://salsa.debian.org/debian/microprofile
@@ -33,7 +31,6 @@
 Depends: libmicroprofile4 (= ${binary:Version}),
          libstb-dev,
          ${misc:Depends}
-Recommends: libjs-highlight.js
 Description: embeddable CPU/GPU profiler - development
  Microprofile is an embeddable CPU/GPU profiler with an in-app and HTML
  visualizers, written in C++.
