=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto qa=+all
export LC_ALL = C.UTF-8

%:
	dh $@ --buildsystem=meson

# create microprofile_html.h
execute_before_dh_auto_configure:
	$(MAKE) -C src

override_dh_auto_configure:
	dh_auto_configure -- \
		-Db_lto=true \
		-Dmicroprofile_use_config=true

execute_after_dh_auto_clean:
	$(MAKE) -C src clean
